﻿using Infragistics.Controls.Schedules;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace InfragisticsCalendarTest.Common
{
    public static class CalendarGroup
    {
        public static readonly DependencyProperty InitialCalendarIdsProperty =
            DependencyProperty.RegisterAttached("InitialCalendarIds", typeof(string), typeof(CalendarGroup), new PropertyMetadata(null, OnInitialCalendarIdChanged));

        public static string GetInitialCalendarIds(DependencyObject obj)
        {
            return (string)obj.GetValue(InitialCalendarIdsProperty);
        }

        public static void SetInitialCalendarIds(DependencyObject obj, string value)
        {
            obj.SetValue(InitialCalendarIdsProperty, value);
        }

        private static void OnInitialCalendarIdChanged(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {
            var manager = d as XamScheduleDataManager;
            if (manager != null)
            {
                var groups = manager.CalendarGroups;

                if (groups.Count == 0)
                    groups.Add(new Infragistics.Controls.Schedules.CalendarGroup());

                var group = groups[0];
                group.InitialCalendarIds = (string)e.NewValue;
            }
        }
    }
}
